Package alt.java.io

# Interface IOFactory

All Known Implementing Classes:
  `IOFactoryImpl`, `MockIOFactory`

public interface IOFactory

## Method Summary

Modifier and Type
Method
Description
`File`
`createFile(String fileName)`
`InputStream`
`createInputStream(File aFile)`
`OutputStream`
`createOutputStream(File aFile)`

## Method Details

### createInputStream

InputStream createInputStream(File aFile) throws FileNotFoundException

Throws:
  `FileNotFoundException`

### createOutputStream

OutputStream createOutputStream(File aFile) throws FileNotFoundException

Throws:
  `FileNotFoundException`

### createFile

File createFile(String fileName)